Returns the gates for the specified environment.
GET
/
environments
/
{environmentId}
/
gates
Get the gates for an environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/gates \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/gates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/gates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gates": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "Super User Gate",
"rules": [
{
"address": {
"networkId": 1,
"contractAddress": "An example name"
},
"filter": {
"tokenId": "0x01",
"amount": 123
}
}
],
"scope": "superuser",
"enabledAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of gates for this project environment
List of gate objects configured for this environment
Show child attributes
Show child attributes
Last modified on January 21, 2026
Was this page helpful?
Previous
Create a gate for the environmentCreates a new gate configuration for the specified environment.
Next
⌘I
Get the gates for an environment
